<?php
namespace Teknisa\SUP\Modules\Cotacao\Modules\ListaPreco\Controllers;

use Zeedhi\Framework\DTO;

class Sup03000Pagamento {

    protected $dataSourceName = "sup03000pagamento";
    protected $parameterBagColumns = array("P_CDFILIAL", "P_NRCOLEPRECO", "P_CDPRODUTO", "P_CDMARCA", "P_CDREGIAO", "P_CDFORNECED");
    protected $crudService;

    public function __construct($crudService) {
        $this->crudService = $crudService;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $filterCriteria = $request->getFilterCriteria();
        $filterCriteria->setDataSourceName($this->dataSourceName);
        $newFilterCriteria = $this->crudService->populateParameterBag($filterCriteria, $this->parameterBagColumns);
        $this->crudService->find($response, $newFilterCriteria);
    }

}